OpenTTD Source: TestPasswordRequestHandler Class Reference

OpenTTD Source 15.3

Public Member Functions | Private Attributes
TestPasswordRequestHandler Class Reference
Inheritance diagram for TestPasswordRequestHandler:

## Public Member Functions
| TestPasswordRequestHandler (std::string &password)
void | SendResponse () override
| Callback to trigger sending the response for the password request.
void | AskUserForPassword (std::shared_ptr< NetworkAuthenticationPasswordRequest > request) override
| Callback to trigger asking the user for the password.
Public Member Functions inherited from NetworkAuthenticationPasswordRequestHandler
virtual void | Reply (const std::string &password) override
| Reply to the request with the given password.

## Private Attributes
std::string | password

## Additional Inherited Members
Protected Attributes inherited from NetworkAuthenticationPasswordRequestHandler
std::string | password
| The entered password.

## Detailed Description

Definition at line 56 of file test_network_crypto.cpp.

## Constructor & Destructor Documentation

## ◆ TestPasswordRequestHandler()

TestPasswordRequestHandler::TestPasswordRequestHandler | ( | std::string & | password | ) |
| inline

Definition at line 60 of file test_network_crypto.cpp.

## Member Function Documentation

## ◆ AskUserForPassword()

void TestPasswordRequestHandler::AskUserForPassword | ( | std::shared_ptr< NetworkAuthenticationPasswordRequest > | request | ) |
| inlineoverridevirtual

Callback to trigger asking the user for the password.

Parameters

  request | The request to the user, to which it can reply with the password.

Implements NetworkAuthenticationPasswordRequestHandler.

Definition at line 62 of file test_network_crypto.cpp.

## ◆ SendResponse()

void TestPasswordRequestHandler::SendResponse | ( |  | ) |
| inlineoverridevirtual

Callback to trigger sending the response for the password request.

Implements NetworkAuthenticationPasswordRequestHandler.

Definition at line 61 of file test_network_crypto.cpp.

## Field Documentation

## ◆ password

std::string TestPasswordRequestHandler::password
| private

Definition at line 58 of file test_network_crypto.cpp.

The documentation for this class was generated from the following file:

- src/tests/test_network_crypto.cpp